Name: vym
Version: 1.12.2
Release: alt1

Summary: QT based MindMap editor
Url: http://sourceforge.net/projects/vym
Packager: Alex Karpov <karpov@altlinux.ru>

License: GPL
Group: Office

Source: %name-%version.tar.bz2

Provides: vym
Requires: libqt3 libqt3-settings xsltproc zip
# Automatically added by buildreq on Tue Apr 10 2007 (-bi)
BuildRequires: gcc-c++ ImageMagick kdelibs libqt4-devel libXext-devel unzip xsltproc

%description
VYM (View Your Mind) is a tool to generate and manipulate maps which show your
thoughts. Such maps can help you to improve your creativity and effectivity.
You can use them for time management, to organize tasks, to get an overview
over complex contexts.

%prep
%setup -q
subst 's,/doc/packages/vym,/doc/%name,g' %name.pro
subst 's,= tex/vym.pdf,= doc/vym.pdf,g' %name.pro


%build
export QTDIR=%_qt4dir
export PATH=$PATH:$QTDIR/bin
qmake INSTALLDIR=%prefix vym.pro -after DESTDIR=%buildroot
%make_build

%install
%make_install INSTALL_ROOT=%buildroot install

# menu
mkdir -p %buildroot%_desktopdir
cat << EOF > %buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Name=VYM
GenericName=MindMap Editor
Comment=View Your Mind
Exec=vym
Terminal=false
Categories=Application;Office;
Type=Application
Icon=%_datadir/%name/icons/%name.png
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_defaultdocdir/%name 
%_bindir/%name
%_datadir/%name/*
%_desktopdir/%name.desktop

%changelog
* Mon Dec 01 2008 Alex Karpov <karpov@altlinux.ru> 1.12.2-alt1
- new version

* Mon Aug 18 2008 Alex Karpov <karpov@altlinux.ru> 1.12.0-alt1
- 1.12.0
    + spec cleanup

* Mon Oct 01 2007 Alex Karpov <karpov@altlinux.ru> 1.10.0-alt1
- 1.10.0

* Tue Sep 25 2007 Alex Karpov <karpov@altlinux.ru> 1.9.0-alt1
- 1.9.0

* Fri Jun 15 2007 Alex Karpov <karpov@altlinux.ru> 1.8.1-alt5.1
- initial real (not local) build for Sisyphus

* Mon Apr 17 2007 Andrii Dobrovol`s`kii <dobr@altlinux.org> 1.8.1-alt5
- Change doc path

* Thu Apr 12 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 1.8.1-alt4
- Other Requires and Provides, and doc files (Thanks to I.Zubkov and
  Glodin S.V.)

* Thu Apr 12 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 1.8.1-alt3
- Requires zip for saving

* Thu Apr 5 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 1.8.1-alt2
- with menu

* Thu Apr 5 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 1.8.1-alt1
- with the spec corrections from Yuriy Kashirin

* Fri Mar 30 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 1.8.1-alt0
- initial build for ALT Linux (Sisyphus)

